(defpackage :et
  (:use :common-lisp))

(in-package :et)

(eval-when (:load-toplevel :compile-toplevel :execute)
  #+asdf (progn

   	   #-cells (progn
		    (asdf:operate 'asdf:load-op :cells)
		    (use-package :cells))
	   
	   #-cl-opengl (progn
		    (asdf:operate 'asdf:load-op :cl-opengl)
		    ;(use-package :cl-opengl)
		    )

	   #-Celtk (progn
		    (asdf:operate 'asdf:load-op :Celtk)
		    (use-package :Celtk))
	 )
)


(defmodel entry-test (window)
  ((val :accessor val
	  :initarg  :val
	  :initform (c-in nil)))
  (:default-initargs
       :title$ "entry test"
       :id :entry-test
       :kids
         (c? (the-kids
	       (mk-row (:packing (c?pack-self))
		   (mk-label :text "Enter value:")
		   (mk-entry :id :frgo-entry)
		   (mk-button-ex ("Do it !" (setf (val (fm^ :entry-test)) (md-value (fm^ :frgo-entry))))))))))

;;; DEBUG OBSERVERS

(defobserver val ((self entry-test))
  (format t "~&*** OBSERVER VAL: slot 'val' of ~S set to ~A~&"
	  self new-value))

;;; RUN/TEST FUNCTION

(defun run-entry-test ()
  (test-window 'entry-test))